org.h2gis.functions.spatial.buffer

## Class ST_OffSetCurve

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.buffer.ST_OffSetCurve

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_OffSetCurve
    extends org.h2gis.api.DeterministicScalarFunction

Return an offset line at a given distance and side from an input geometry.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_OffSetCurve()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `computeOffsetCurve(org.locationtech.jts.geom.Geometry geometry, double offset, org.locationtech.jts.operation.buffer.BufferParameters bufferParameters)` Method to compute the offset line
`static void` `geometryOffSetCurve(ArrayList<org.locationtech.jts.geom.LineString> list, org.locationtech.jts.geom.Geometry geometry, double offset, org.locationtech.jts.operation.buffer.BufferParameters bufferParameters)` Compute the offset curve for a polygon, a point or a collection of geometries
`String` `getJavaStaticMethod()`
`static void` `lineStringOffSetCurve(ArrayList<org.locationtech.jts.geom.LineString> list, org.locationtech.jts.geom.LineString lineString, double offset, org.locationtech.jts.operation.buffer.BufferParameters bufferParameters)` Compute the offset curve for a linestring
`static org.locationtech.jts.geom.Geometry` `offsetCurve(org.locationtech.jts.geom.Geometry geometry, double offset)` Return an offset line at a given distance and side from an input geometry without buffer parameters
`static org.locationtech.jts.geom.Geometry` `offsetCurve(org.locationtech.jts.geom.Geometry geometry, double offset, String parameters)` Return an offset line at a given distance and side from an input geometry

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_OffSetCurve

    public ST_OffSetCurve()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### offsetCurve

    public static org.locationtech.jts.geom.Geometry offsetCurve(org.locationtech.jts.geom.Geometry geometry,
                                                                 double offset,
                                                                 String parameters)

Return an offset line at a given distance and side from an input geometry

Parameters:
  `geometry` - the geometry
  `offset` - the distance
  `parameters` - the buffer parameters
Returns:

#### offsetCurve

    public static org.locationtech.jts.geom.Geometry offsetCurve(org.locationtech.jts.geom.Geometry geometry,
                                                                 double offset)

Return an offset line at a given distance and side from an input geometry without buffer parameters

Parameters:
  `geometry` - the geometry
  `offset` - the distance
Returns:

#### computeOffsetCurve

    public static org.locationtech.jts.geom.Geometry computeOffsetCurve(org.locationtech.jts.geom.Geometry geometry,
                                                                        double offset,
                                                                        org.locationtech.jts.operation.buffer.BufferParameters bufferParameters)

Method to compute the offset line

Parameters:
  `geometry` -
  `offset` -
  `bufferParameters` -
Returns:

#### lineStringOffSetCurve

    public static void lineStringOffSetCurve(ArrayList<org.locationtech.jts.geom.LineString> list,
                                             org.locationtech.jts.geom.LineString lineString,
                                             double offset,
                                             org.locationtech.jts.operation.buffer.BufferParameters bufferParameters)

Compute the offset curve for a linestring

Parameters:
  `list` -
  `lineString` -
  `offset` -
  `bufferParameters` -

#### geometryOffSetCurve

    public static void geometryOffSetCurve(ArrayList<org.locationtech.jts.geom.LineString> list,
                                           org.locationtech.jts.geom.Geometry geometry,
                                           double offset,
                                           org.locationtech.jts.operation.buffer.BufferParameters bufferParameters)

Compute the offset curve for a polygon, a point or a collection of geometries

Parameters:
  `list` -
  `geometry` -
  `offset` -
  `bufferParameters` -